xshared.rpm не могу поставить на SUSE 10.1 (renamed theme)

Обсуждение технических вопросов по продуктам Novell под Linux, а также *nix систем

xshared.rpm не могу поставить на SUSE 10.1 (renamed theme)

Сообщение euphorine » 16 янв 2007, 16:00

Устанавливаю Oracle на SUSE 10.1

Помогите найти файлы pdksh.rpm и xshared.rpm
Желательно не ниже:

pdksh-5.2.14-780.4.i586.rpm
xshared-4.2.0-272.i586.rpm

Требуются для установки orarun.rpm, но в Suse 9/10 их нет, а SLES'a, где они точно есть в дистрибутиве, нет у меня...

Если есть возможность вышлите по почте, пожалуйста!
Буду крайне признателен.

liveonline@gmail.com
Последний раз редактировалось euphorine 16 янв 2007, 20:36, всего редактировалось 1 раз.
euphorine
 
Сообщения: 7
Зарегистрирован: 16 янв 2007, 15:54

Сообщение Михаил Григорьев » 16 янв 2007, 17:22

http://rpmfind.net/linux/rpm2html/search.php

Там должно быть!

P.S. Сам сегодня Оракл под SLES10 ставил...
Аватара пользователя
Михаил Григорьев
 
Сообщения: 1461
Зарегистрирован: 04 июн 2002, 12:22
Откуда: Челябинск

Сообщение euphorine » 16 янв 2007, 17:43

xshared там нет

Мне тут прислали xshared-4.2.0-272.i586.rpm,
но есть проблема с установкой:

Ни через shell (без загрузки KDE, "через inittab 3", ни через YaST не ставится.
Пишет конфликт с xorg-x11-libs-6.9.0-48

Может быть версию надо для xshared старше?
euphorine
 
Сообщения: 7
Зарегистрирован: 16 янв 2007, 15:54

Сообщение euphorine » 16 янв 2007, 18:01

Вот на что жалуется:

linux:/media/Kingston/oralinux # rpm -i xshared-4.2.0-272.i586.rpm
file /usr/X11R6/bin/xauth from install of xshared-4.2.0-272 conflicts with file from package xorg-x11-libs-6.9.0-48
file /usr/X11R6/lib/X11/locale/lib/common/ximcp.so.2 from install of xshared-4.2.0-272 conflicts with file from package xorg-x11-libs-6.9.0-48
file /usr/X11R6/lib/X11/locale/lib/common/xlcDef.so.2 from install of xshared-4.2.0-272 conflicts with file from package xorg-x11-libs-6.9.0-48
file /usr/X11R6/lib/X11/locale/lib/common/xlcUTF8Load.so.2 from install of xshared-4.2.0-272 conflicts with file from package xorg-x11-libs-6.9.0-48
file /usr/X11R6/lib/X11/locale/lib/common/xlibi18n.so.2 from install of xshared-4.2.0-272 conflicts with file from package xorg-x11-libs-6.9.0-48
file /usr/X11R6/lib/X11/locale/lib/common/xlocale.so.2 from install of xshared-4.2.0-272 conflicts with file from package xorg-x11-libs-6.9.0-48
file /usr/X11R6/lib/X11/locale/lib/common/xomGeneric.so.2 from install of xshared-4.2.0-272 conflicts with file from package xorg-x11-libs-6.9.0-48
file /usr/X11R6/lib/libICE.so.6 from install of xshared-4.2.0-272 conflicts with file from package xorg-x11-libs-6.9.0-48
file /usr/X11R6/lib/libSM.so.6.0 from install of xshared-4.2.0-272 conflicts with file from package xorg-x11-libs-6.9.0-48
file /usr/X11R6/lib/libX11.so.6.2 from install of xshared-4.2.0-272 conflicts with file from package xorg-x11-libs-6.9.0-48
file /usr/X11R6/lib/libXTrap.so.6.4 from install of xshared-4.2.0-272 conflicts with file from package xorg-x11-libs-6.9.0-48
file /usr/X11R6/lib/libXaw.so.6.1 from install of xshared-4.2.0-272 conflicts with file from package xorg-x11-libs-6.9.0-48
file /usr/X11R6/lib/libXaw.so.7.0 from install of xshared-4.2.0-272 conflicts with file from package xorg-x11-libs-6.9.0-48
file /usr/X11R6/lib/libXext.so.6.4 from install of xshared-4.2.0-272 conflicts with file from package xorg-x11-libs-6.9.0-48
file /usr/X11R6/lib/libXfont.so.1 from install of xshared-4.2.0-272 conflicts with file from package xorg-x11-libs-6.9.0-48
file /usr/X11R6/lib/libXft.so.1.1 from install of xshared-4.2.0-272 conflicts with file from package xorg-x11-libs-6.9.0-48
file /usr/X11R6/lib/libXi.so.6.0 from install of xshared-4.2.0-272 conflicts with file from package xorg-x11-libs-6.9.0-48
file /usr/X11R6/lib/libXmu.so.6.2 from install of xshared-4.2.0-272 conflicts with file from package xorg-x11-libs-6.9.0-48
file /usr/X11R6/lib/libXmuu.so.1.0 from install of xshared-4.2.0-272 conflicts with file from package xorg-x11-libs-6.9.0-48
file /usr/X11R6/lib/libXp.so.6.2 from install of xshared-4.2.0-272 conflicts with file from package xorg-x11-libs-6.9.0-48
file /usr/X11R6/lib/libXpm.so.4.11 from install of xshared-4.2.0-272 conflicts with file from package xorg-x11-libs-6.9.0-48
file /usr/X11R6/lib/libXrender.so.1 from install of xshared-4.2.0-272 conflicts with file from package xorg-x11-libs-6.9.0-48
file /usr/X11R6/lib/libXt.so.6.0 from install of xshared-4.2.0-272 conflicts with file from package xorg-x11-libs-6.9.0-48
file /usr/X11R6/lib/libXtst.so.6.1 from install of xshared-4.2.0-272 conflicts with file from package xorg-x11-libs-6.9.0-48
file /usr/X11R6/lib/libxrx.so.6 from install of xshared-4.2.0-272 conflicts with file from package xorg-x11-libs-6.9.0-48

Что делать?
euphorine
 
Сообщения: 7
Зарегистрирован: 16 янв 2007, 15:54

Сообщение Андрей Фисенко » 16 янв 2007, 19:43

euphorine писал(а):Вот на что жалуется:
linux:/media/Kingston/oralinux # rpm -i xshared-4.2.0-272.i586.rpm
file /usr/X11R6/bin/xauth from install of xshared-4.2.0-272 conflicts with file from package xorg-x11-libs-6.9.0-48

Что делать?

Дак попробуйте rpm -ivh xshared-4.2.0-272.i586.rpm --nodeps
Андрей Фисенко
 
Сообщения: 1308
Зарегистрирован: 05 июн 2002, 08:13
Откуда: Красноярск

Сообщение euphorine » 16 янв 2007, 20:07

Тот же результат с конфликтом!
euphorine
 
Сообщения: 7
Зарегистрирован: 16 янв 2007, 15:54

Сообщение Андрей Троценко » 18 янв 2007, 15:40

Андрей Фисенко писал(а):...попробуйте rpm -ivh xshared-4.2.0-272.i586.rpm --nodeps


IMHO, напротив: xshared ставить НЕ надо - файлы из этого пакета конфликтуют с пачкой из xorg-x11-libs-6.9.0-48.
Напротив, укажите ключ --nodeps при установке orarun.rpm, когда останется зависимость только на xshared
Аватара пользователя
Андрей Троценко
 
Сообщения: 529
Зарегистрирован: 31 июл 2002, 13:54
Откуда: Киев, Украина

Сообщение euphorine » 18 янв 2007, 23:09

Решение нашел такое:
Скачал SLES 10.
Взял оттуда свежий orarun-1.9-21.2.i586.rpm.
Устанавливается без проблем!
euphorine
 
Сообщения: 7
Зарегистрирован: 16 янв 2007, 15:54


Вернуться в *nix

Кто сейчас на конференции

Сейчас этот форум просматривают: нет зарегистрированных пользователей и гости: 1

cron